Bug 988315 - Implementation-Version missing from MANIFEST.MF for org.osgi.*
Implementation-Version missing from MANIFEST.MF for org.osgi.*
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ER5
: ---
Assigned To: David Walluck
Depends On:
Blocks: 927238 957684
  Show dependency treegraph
Reported: 2013-07-25 05:46 EDT by Pavel Janousek
Modified: 2013-12-15 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:20:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-25 05:46:20 EDT
Description of problem:
List of artifacts with missing Implementation-Version at all:
- modules/system/layers/base/org/osgi/core/main/org.osgi.core-4.2.0-redhat-3.jar
- modules/system/layers/base/org/osgi/enterprise/main/org.osgi.enterprise-4.2.0-redhat-3.jar

Additional info:

see https://bugzilla.redhat.com/show_bug.cgi?id=927238
Comment 2 David Walluck 2013-09-18 13:21:08 EDT
Fixed in 4.2.0.redhat-4.

I also manually added additional headers to the MANIFEST.MF file in order to mimic the current maven toolchain settings of

             <addDefaultImplementationEntries>true</addDefaultImplementationEntries>              <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>

as this remains an ant build which uses the bnd tool to create the manifest file and thus will not pick up the global settings though maven.
Comment 3 David Walluck 2013-09-26 11:09:29 EDT
Upstream PR: <https://github.com/jbossas/jboss-eap/pull/472>.
Comment 7 Pavel Janousek 2013-10-15 08:56:28 EDT
Fixed. Verified against ER5 build.

Note You need to log in before you can comment on or make changes to this bug.